<?php

namespace ViartasThemes\Florial\Modules\Auth;

use Illuminate\View\Factory;
use Illuminate\View\View;
use ViartasCore\Core\Facades\Viartas;

class LoginController extends \ViartasCore\Auth\Controllers\LoginController
{
    /**
     * @return Factory|View
     */
    public function showLoginForm(): Factory|View
    {
        //$element = Page::first();

        if (!session()->has('url.intended'))
        {
            session(['url.intended' => url()->previous()]);
        }

        return theme_view(Viartas::driver()->app()->current()->tag.'.auth.login');
    }
}
